import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

export async function httpVideoList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/videoList`, {
    data
  });
}

export async function httpUnitList(data: object): Promise<DataType<any>> {
  return http.request(`post`, `${VITE_PROXY_DOMAIN_REAL}admin/unitAll`, {
    data
  });
}

// 全部卡类型
export async function httpCardAll(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/cardAll`, {
    data
  });
}
// 全部企业
export async function httpCompanyAll(
  data: object = {}
): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/companyAll`, {
    data
  });
}
// 企业卡类型
export async function httpGroupList(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/groupList`, {
    data
  });
}
